Package com.explodingpixels.macwidgets

## Class ITunesRatingTableCellEditor

- java.lang.Object
- - javax.swing.AbstractCellEditor
  - - com.explodingpixels.macwidgets.ITunesRatingTableCellEditor

All Implemented Interfaces:
  `java.io.Serializable`, `javax.swing.CellEditor`, `javax.swing.table.TableCellEditor`

    public class ITunesRatingTableCellEditor
    extends javax.swing.AbstractCellEditor
    implements javax.swing.table.TableCellEditor

This table cell editor allows users to a adjust a Rating dragging a mouse over the editor area.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class javax.swing.AbstractCellEditor

`changeEvent, listenerList`

### Constructor Summary

Constructors
`ITunesRatingTableCellEditor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getCellEditorValue()`
`java.awt.Component` `getTableCellEditorComponent​(javax.swing.JTable table, java.lang.Object value, boolean isSelected, int row, int column)`
`boolean` `isCellEditable​(java.util.EventObject e)`
`boolean` `shouldSelectCell​(java.util.EventObject anEvent)`

### Methods inherited from class javax.swing.AbstractCellEditor

`addCellEditorListener, cancelCellEditing, fireEditingCanceled, fireEditingStopped, getCellEditorListeners, removeCellEditorListener, stopCellEditing`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.swing.CellEditor

`addCellEditorListener, cancelCellEditing, removeCellEditorListener, stopCellEditing`

### Constructor Detail

#### ITunesRatingTableCellEditor

    public ITunesRatingTableCellEditor()

### Method Detail

#### getCellEditorValue

    public java.lang.Object getCellEditorValue()

Specified by:
  `getCellEditorValue` in interface `javax.swing.CellEditor`

#### getTableCellEditorComponent

    public java.awt.Component getTableCellEditorComponent​(javax.swing.JTable table,
                                                          java.lang.Object value,
                                                          boolean isSelected,
                                                          int row,
                                                          int column)

Specified by:
  `getTableCellEditorComponent` in interface `javax.swing.table.TableCellEditor`

#### isCellEditable

    public boolean isCellEditable​(java.util.EventObject e)

Specified by:
  `isCellEditable` in interface `javax.swing.CellEditor`
Overrides:
  `isCellEditable` in class `javax.swing.AbstractCellEditor`

#### shouldSelectCell

    public boolean shouldSelectCell​(java.util.EventObject anEvent)

Specified by:
  `shouldSelectCell` in interface `javax.swing.CellEditor`
Overrides:
  `shouldSelectCell` in class `javax.swing.AbstractCellEditor`